Page MenuHomePhabricator

Pywikibot: Add missing docstring params
Open, LowestPublic

Description

Pywikibot is a Python-based framework to write bots for MediaWiki (more information).

Each function of the library should have the description of its parameters in its documentation. This doc is present in-code, below the function declaration.

You need to find at least five params without description in the _pywikibot_ directory, understand the part of code to know what it does, add the following desc, and submit your change. Please take the time to understand the syntax of already present description fields to follow it.

You are expected to provide a patch in Wikimedia Gerrit. Documentation on Gerrit is available.

Event Timeline

jayvdb created this task.Jan 3 2018, 7:47 PM
Restricted Application added a project: Documentation. · View Herald TranscriptJan 3 2018, 7:47 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald Transcript
jayvdb added a comment.Jan 3 2018, 7:49 PM

This was already created as https://codein.withgoogle.com/dashboard/tasks/6189366353330176/ ; I am just creating a Phab task for it.
All commits should reference this Phab task

jayvdb added a comment.Jan 3 2018, 7:51 PM

Pywikibot docstring params use epytext format.

Dvorapa added a project: Pywikibot.
Xqt triaged this task as Lowest priority.Sep 13 2018, 2:19 PM
Xqt added a project: good first task.
Framawiki updated the task description. (Show Details)Nov 1 2018, 6:40 PM

@Framawiki It seems ok to me

I will help with mentoring too

@jayvdb I would like to work on this task.

@jayvdb I would like to work on this task.

Upload some first patch and we will review it.
I will help if needed. I will also answer any question :)

Change 481332 had a related patch set uploaded (by AdityaJ; owner: AdityaJ):
[pywikibot/core@master] Pywikibot: Add missing docsting params

https://gerrit.wikimedia.org/r/481332

@jayvdb I uploaded the patch but the basic build is failing. I can't figure out the reason behind it. Could you please review the patch https://gerrit.wikimedia.org/r/481332

Change 481332 merged by jenkins-bot:
[pywikibot/core@master] Pywikibot: Add missing docsting params

https://gerrit.wikimedia.org/r/481332

@Dvorapa, I am interested in working on this bug with others from my undergraduate computer science open source class. Is there any area of the code where working on this bug will do the most good?

Hello, this issue is spread through the whole library. To find some, you can use documentation pages themselves (instead of source code): https://doc.wikimedia.org/pywikibot/master/

Change 548817 had a related patch set uploaded (by Morgan11235; owner: jbowen2):
[pywikibot/core@master] component: Updates to docstring params

https://gerrit.wikimedia.org/r/548817

AdityaJ reassigned this task from AdityaJ to Morgan11235.Nov 6 2019, 6:46 AM

Change 548817 merged by jenkins-bot:
[pywikibot/core@master] component: docstring update patch for comments

https://gerrit.wikimedia.org/r/548817

Rounak_Saraf added a subscriber: Rounak_Saraf.EditedJan 20 2020, 6:06 PM

I would like to work on this task.

Awesome! Ask for any help if needed

Aklapper removed Morgan11235 as the assignee of this task.May 12 2020, 2:22 PM

Resetting assignee as the patch by Morgan11235 has been merged and as others could work on other occurrences of this task.